package repository

import "nms_nbi/src/modules/chart/model"

// G6关系图数据 数据层接口
type IChartGraph interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(graph model.ChartGraph) []model.ChartGraph

	// SelectGroup 查询组名
	SelectGroup() []string

	// Insert 批量添加
	Inserts(graphs []model.ChartGraph) int64

	// Delete 删除组数据
	DeleteGroup(rowGroup string) int64
}
